<?php
defined(page_security_key) or exit;

if (debug && debug_id == $_SESSION['id']){
    ini_set('display_errors', '1');
    ini_set('display_startup_errors', '1');
    error_reporting(E_ALL);  
}

include_once './assets/functions.php';
include_once './settings/settings_redirector.php';

//SET ORIGIN FOR NAVIGATION
$prev_page = $_SESSION['prev_origin'] ?? '';
$page = $_SESSION['origin'] = 'pricelists';

//Check if allowed
if (isAllowed($page,$_SESSION['profile'],$_SESSION['permission'],'R') === 0){
    header('location: index.php');
    exit;
}

//GET PARAMETERS
$pagination_page = isset($_GET['p']) ? $_GET['p'] : 1;
$status = isset($_GET['status']) ? '&status='.$_GET['status'] : '';
$search = isset($_GET['search']) ? '&search='.$_GET['search'] : '';

// Determine the URL
$url = 'index.php?page=pricelists'.$status.$search;
//GET Details from URL
$GET_VALUES = urlGETdetails($_GET) ?? '';
//CALL TO API
$api_url = '/v2/pricelists/'.$GET_VALUES;
$responses = ioServer($api_url,'');
//Decode Payload
if (!empty($responses)){$responses = json_decode($responses,true);}else{$responses = null;}

//Return QueryTotal from API
$api_url = '/v2/pricelists/'.$GET_VALUES.'&totals=';
$query_total = ioServer($api_url,'');
//Decode Payload
if (!empty($query_total)){$query_total = json_decode($query_total,true);}else{$query_total = null;}

// Handle success messages
if (isset($_GET['success_msg'])) {
    if ($_GET['success_msg'] == 1) {
        $success_msg = $message_tv_1;
    }
    if ($_GET['success_msg'] == 2) {
        $success_msg = $message_tv_2;
    }
    if ($_GET['success_msg'] == 3) {
        $success_msg = $message_tv_3;
    }
}

template_header('Pricelists', 'pricelists','view');
$view = '
<div class="content-title">
    <div class="title">
        <i class="fa-solid fa-coins"></i>
        <div class="txt">
            <h2>'.($pricelists_h2 ?? 'Pricelists').' ('.$query_total.')</h2>
            <p>'.($pricelists_p ?? 'Manage pricelists').'</p>
        </div>
    </div>
</div>';

if (isset($success_msg)){
$view .= ' <div class="msg success">
                <i class="fas fa-check-circle"></i>
                <p>'.$success_msg.'</p>
                <i class="fas fa-times"></i>
            </div>';
}
$view .= '
<div class="content-header responsive-flex-column pad-top-5">
    <a href="index.php?page=pricelists_manage" class="btn">'.($button_create_pricelist ?? 'Create pricelist').'</a>
    <form action="" method="get">
        <input type="hidden" name="page" value="pricelists">
        <div class="search">
            <label for="search">
                <input id="search" type="text" name="search" placeholder="'.($pricelists_search ?? '').'" value="" class="responsive-width-100">
                <i class="fas fa-search"></i>
            </label>
        </div>
    </form>
</div>
';

$view .= '
<div class="content-block">
    <div class="table">
        <table class="sortable">
            <thead>
                <tr>
                    <th>'.($pricelists_rowID ?? 'rowID').'</th>
                    <th>'.($pricelists_status ?? 'status').'</th>
                    <th>'.($pricelists_name ?? 'name').'</th>
                    <th class="responsive-hidden">'.$general_created.'</th>
                    <th>'.$general_actions.'</th>
                </tr>
            </thead>
            <tbody>
            ';

            if (empty($responses)){

                $view .= '
                <tr>
                    <td colspan="8" style="text-align:center;">'.($message_no_pricelists ?? '').'</td>
                </tr>';
            }
            else {
                foreach ($responses as $response){
                $view .= '
                <tr>  
                    <td>'.$response['rowID'].'</td>  
                    <td>'.${'general_status_'.$response['status']}.'</td>
                    <td>'.$response['name'].'</td>
                    <td class="responsive-hidden">'.getRelativeTime($response['created']).'</td>
                    <td><a href="index.php?page=pricelists_manage&rowID='.$response['rowID'].'" class="btn_link">'.$general_view .'</a></td>
                </tr>';

                
                }
            }
$view .= ' 
            </tbody>
        </table>
    </div>
</div>
';

$view.='<div class="pagination">';
if ($pagination_page > 1) {
    $page = $pagination_page-1;
    $view .= '<a href="'.$url.'&p=1">'.$general_first.'</a>';
    $view .= '<a href="'.$url.'&p='.$page.'">'.$general_prev.'</a>';
}
$totals = ceil($query_total / $page_rows_pricelists) == 0 ? 1 : ceil($query_total / $page_rows_pricelists);
$view .= '<span> '.$general_page.$pagination_page.$general_page_of.$totals.'</span>';
if ($pagination_page * $page_rows_pricelists < $query_total){
    $page = $pagination_page+1;
    $view .= '<a href="'.$url.'&p='.$page.'">'.$general_next.'</a>';
    $view .= '<a href="'.$url.'&p='.$totals.'">'.$general_last.'</a>';

}
$view .= '</div>';
//OUTPUT
echo $view;

template_footer();
?>